#include <bindings.dsl.h>
#include <apr_ldap.h>

module Bindings.APR.LDAP where
#strict_import

#num APR_HAS_LDAP

#num APR_HAS_NETSCAPE_LDAPSDK
#num APR_HAS_SOLARIS_LDAPSDK
#num APR_HAS_NOVELL_LDAPSDK
#num APR_HAS_MOZILLA_LDAPSDK
#num APR_HAS_OPENLDAP_LDAPSDK
#num APR_HAS_MICROSOFT_LDAPSDK
#num APR_HAS_TIVOLI_LDAPSDK
#num APR_HAS_ZOS_LDAPSDK
#num APR_HAS_OTHER_LDAPSDK

#if APR_HAS_LDAP

#  num APR_HAS_LDAP_SSL
#  num APR_HAS_LDAP_URL_PARSE

#  opaque_t LDAP

#  num APR_HAS_LDAPSSL_CLIENT_INIT
#  num APR_HAS_LDAPSSL_CLIENT_DEINIT
#  num APR_HAS_LDAPSSL_ADD_TRUSTED_CERT
#  num APR_HAS_LDAP_START_TLS_S
#  num APR_HAS_LDAP_SSLINIT
#  num APR_HAS_LDAPSSL_INIT
#  num APR_HAS_LDAPSSL_INSTALL_ROUTINES

#  num APR_LDAP_SIZELIMIT

#  starttype struct apr_ldap_err_t
#    field reason, Ptr CChar
#    field msg   , Ptr CChar
#    field rc    , CInt
#  stoptype

#  cinline APR_LDAP_IS_SERVER_DOWN, CInt -> IO CInt

#endif