#include <bindings.dsl.h>
#include <apr_ldap_option.h>

module Bindings.APR.LDAP.Option where
#strict_import
import Bindings.APR.LDAP
import Bindings.APR.Pools

#if APR_HAS_LDAP

#  num APR_LDAP_OPT_TLS
#  num APR_LDAP_OPT_TLS_CERT
#  num APR_LDAP_OPT_VERIFY_CERT
#  num APR_LDAP_OPT_REFERRALS
#  num APR_LDAP_OPT_REFHOPLIMIT

#  num APR_LDAP_CA_TYPE_UNKNOWN
#  num APR_LDAP_CA_TYPE_DER
#  num APR_LDAP_CA_TYPE_BASE64
#  num APR_LDAP_CA_TYPE_SECMOD
#  num APR_LDAP_CERT_TYPE_UNKNOWN
#  num APR_LDAP_CERT_TYPE_DER
#  num APR_LDAP_CERT_TYPE_BASE64
#  num APR_LDAP_CERT_TYPE_KEY3_DB
#  num APR_LDAP_CERT_TYPE_NICKNAME
#  num APR_LDAP_KEY_TYPE_UNKNOWN
#  num APR_LDAP_KEY_TYPE_DER
#  num APR_LDAP_KEY_TYPE_BASE64
#  num APR_LDAP_CERT_TYPE_PFX
#  num APR_LDAP_KEY_TYPE_PFX
#  num APR_LDAP_CA_TYPE_CACERTDIR_BASE64

#  starttype struct apr_ldap_opt_tls_cert_t
#    field type    , CInt
#    field path    , Ptr CChar
#    field password, Ptr CChar
#  stoptype

#  num APR_LDAP_NONE
#  num APR_LDAP_SSL
#  num APR_LDAP_STARTTLS
#  num APR_LDAP_STOPTLS

#  ccall apr_ldap_get_option, Ptr <apr_pool_t> -> Ptr <LDAP> -> CInt -> Ptr () -> Ptr (Ptr <apr_ldap_err_t>) -> IO CInt
#  ccall apr_ldap_set_option, Ptr <apr_pool_t> -> Ptr <LDAP> -> CInt -> Ptr () -> Ptr (Ptr <apr_ldap_err_t>) -> IO CInt

#endif