#include <bindings.dsl.h>
#include <apr_uuid.h>

module Bindings.APR.UUID where
#strict_import
import Bindings.APR.ErrNo

#starttype apr_uuid_t
#  array_field data, CUChar
#stoptype

#num APR_UUID_FORMATTED_LENGTH

#ccall apr_uuid_get   , Ptr <apr_uuid_t> -> IO ()
#ccall apr_uuid_format, Ptr CChar -> Ptr <apr_uuid_t> -> IO ()
#ccall apr_uuid_parse , Ptr <apr_uuid_t> -> Ptr CChar -> IO <apr_status_t>
